package com.ynet.life.sujrb.util;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.LifeJDBCAction;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Formatter;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;
import net.sf.json.JSONObject;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/* loaded from: com_ynet_life_sujrb_util.jar:com/ynet/life/sujrb/util/WxAuthorizeUtil.class */
public class WxAuthorizeUtil extends LifeJDBCAction {
    private static Log log = LogFactory.getLog(WxAuthorizeUtil.class);
    private static Map signInfoWx = null;

    public static String getSignInfoJson() throws Exception {
        String generateTicket = generateTicket();
        String jsapi_ticket = generateTicket;
        if (!isNotBlank(generateTicket)) {
            jsapi_ticket = cacheTicket();
        }
        if (isNotBlank(jsapi_ticket)) {
            return sign(jsapi_ticket);
        }
        JSONObject ret = new JSONObject();
        ret.put("appId", "");
        ret.put("nonceStr", "");
        ret.put("timestamp", "");
        ret.put("signature", "");
        ret.put("ec", "1");
        ret.put("em", "获取签名信息失败");
        return ret.toString();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v10, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v11 */
    /* JADX WARN: Type inference failed for: r0v13, types: [java.io.IOException] */
    /* JADX WARN: Type inference failed for: r0v15, types: [java.io.BufferedReader] */
    /* JADX WARN: Type inference failed for: r0v36, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v5 */
    /* JADX WARN: Type inference failed for: r0v6 */
    /* JADX WARN: Type inference failed for: r0v7, types: [java.io.IOException] */
    /* JADX WARN: Type inference failed for: r0v8, types: [java.io.BufferedReader] */
    /* JADX WARN: Type inference failed for: r7v0 */
    /* JADX WARN: Type inference failed for: r7v1 */
    /* JADX WARN: Type inference failed for: r7v3 */
    /* JADX WARN: Type inference failed for: r7v5, types: [java.io.IOException, java.io.BufferedReader] */
    private static String cacheTicket() throws Exception {
        String token = getToken();
        String url = "https://api.weixin.qq.com/cgi-bin/ticket/getticket?access_token=" + token + "&type=jsapi";
        ?? r0 = 0;
        ?? r7 = 0;
        try {
            try {
                HttpURLConnection connection = (HttpURLConnection) new URL(url).openConnection();
                connection.connect();
                r7 = new BufferedReader(new InputStreamReader(connection.getInputStream()));
                StringBuilder buf = new StringBuilder();
                while (true) {
                    String lines = r7.readLine();
                    if (lines == null) {
                        break;
                    }
                    buf.append(lines);
                }
                JSONObject json = JSONObject.fromObject(buf.toString());
                long createTime = System.currentTimeMillis() / 1000;
                HashMap hashMap = new HashMap();
                signInfoWx = hashMap;
                hashMap.put("ticket", json.getString("ticket"));
                signInfoWx.put("expires_in", json.getString("expires_in"));
                signInfoWx.put("createTime", Long.valueOf(createTime));
                r0 = json.getString("ticket");
                try {
                    r7.close();
                } catch (IOException e) {
                    r7.printStackTrace();
                }
                return r0;
            } catch (Exception e2) {
                r0.printStackTrace();
                ?? r02 = r7;
                if (r02 == 0) {
                    return null;
                }
                try {
                    r02 = r7;
                    r02.close();
                    return null;
                } catch (IOException e3) {
                    r02.printStackTrace();
                    return null;
                }
            }
        } catch (Throwable th) {
            ?? r03 = r7;
            if (r03 != 0) {
                try {
                    r03 = r7;
                    r03.close();
                } catch (IOException e4) {
                    r03.printStackTrace();
                }
            }
            throw th;
        }
    }

    private static String generateTicket() {
        String ret = "";
        if (signInfoWx != null && !signInfoWx.isEmpty()) {
            if ((System.currentTimeMillis() / 1000) - ((Long) signInfoWx.get("createTime")).longValue() > Long.parseLong(signInfoWx.get("expires_in").toString())) {
                signInfoWx = null;
            } else {
                ret = (String) signInfoWx.get("ticket");
            }
        }
        return ret;
    }

    public static boolean isNotBlank(String str) {
        boolean isblank = true;
        if (str == null || "".equals(str)) {
            isblank = false;
        }
        return isblank;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v10, types: [java.io.IOException] */
    /* JADX WARN: Type inference failed for: r0v11, types: [java.io.BufferedReader] */
    /* JADX WARN: Type inference failed for: r0v13, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v14 */
    /* JADX WARN: Type inference failed for: r0v16, types: [java.io.IOException] */
    /* JADX WARN: Type inference failed for: r0v18, types: [java.io.BufferedReader] */
    /* JADX WARN: Type inference failed for: r0v30, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v8 */
    /* JADX WARN: Type inference failed for: r0v9 */
    /* JADX WARN: Type inference failed for: r7v1 */
    /* JADX WARN: Type inference failed for: r7v2 */
    /* JADX WARN: Type inference failed for: r7v4 */
    /* JADX WARN: Type inference failed for: r7v6, types: [java.io.IOException, java.io.BufferedReader] */
    public static String getToken() {
        ?? r0 = 0;
        ?? r7 = 0;
        try {
            try {
                HttpURLConnection connection = (HttpURLConnection) new URL("https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid=" + Configure.appId + "&secret=" + Configure.secret).openConnection();
                connection.connect();
                r7 = new BufferedReader(new InputStreamReader(connection.getInputStream()));
                StringBuilder buf = new StringBuilder();
                while (true) {
                    String lines = r7.readLine();
                    if (lines == null) {
                        break;
                    }
                    buf.append(lines);
                }
                r0 = JSONObject.fromObject(buf.toString()).getString("access_token");
                try {
                    r7.close();
                } catch (IOException e) {
                    r7.printStackTrace();
                }
                return r0;
            } catch (Exception e2) {
                r0.printStackTrace();
                ?? r02 = r7;
                if (r02 == 0) {
                    return null;
                }
                try {
                    r02 = r7;
                    r02.close();
                    return null;
                } catch (IOException e3) {
                    r02.printStackTrace();
                    return null;
                }
            }
        } catch (Throwable th) {
            ?? r03 = r7;
            if (r03 != 0) {
                try {
                    r03 = r7;
                    r03.close();
                } catch (IOException e4) {
                    r03.printStackTrace();
                }
            }
            throw th;
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v12, types: [org.apache.commons.logging.Log] */
    /* JADX WARN: Type inference failed for: r0v34, types: [java.lang.String] */
    public static String sign(String jsapi_ticket) throws UnsupportedEncodingException {
        JSONObject ret = new JSONObject();
        String nonce_str = create_nonce_str();
        String timestamp = create_timestamp();
        String signature = "";
        String string1 = "jsapi_ticket=" + jsapi_ticket + "&noncestr=" + nonce_str + "&timestamp=" + timestamp + "&url=http://www.szjr.suzhou.gov.cn/appfiles/main.html";
        UnsupportedEncodingException unsupportedEncodingException = log;
        unsupportedEncodingException.info("string1=".concat(String.valueOf(string1)));
        try {
            MessageDigest crypt = MessageDigest.getInstance("SHA-1");
            crypt.reset();
            crypt.update(string1.getBytes("UTF-8"));
            unsupportedEncodingException = byteToHex(crypt.digest());
            signature = unsupportedEncodingException;
        } catch (UnsupportedEncodingException e) {
            unsupportedEncodingException.printStackTrace();
        } catch (NoSuchAlgorithmException e2) {
            unsupportedEncodingException.printStackTrace();
        }
        ret.put("appId", Configure.appId);
        ret.put("nonceStr", nonce_str);
        ret.put("timestamp", timestamp);
        ret.put("signature", signature);
        ret.put("ec", "0");
        ret.put("em", "");
        return ret.toString();
    }

    private static String byteToHex(byte[] hash) {
        Formatter formatter = new Formatter();
        for (byte b : hash) {
            formatter.format("%02x", Byte.valueOf(b));
        }
        String result = formatter.toString();
        formatter.close();
        return result;
    }

    private static String create_nonce_str() {
        return UUID.randomUUID().toString();
    }

    private static String create_timestamp() {
        return Long.toString(System.currentTimeMillis() / 1000);
    }

    public String execute(Context context) throws GENEException {
        try {
            context.setDataValue("wxAuthor", getSignInfoJson());
            return "0";
        } catch (Exception e) {
            context.printStackTrace();
            return "0";
        }
    }

    public static void main(String[] args) throws Exception {
        System.out.println(getSignInfoJson());
    }
}
